package springbatchdemo;

import javax.sql.DataSource;
import org.springframework.context.annotation.*;
import org.springframework.jdbc.datasource.embedded.*;

@Configuration
public class HsqldbMvccConfiguration
{
   /** Vermeidung von:
    *  org.springframework.batch.core.step.FatalStepExecutionException: JobRepository failure forcing rollback,
    *  org.springframework.dao.ConcurrencyFailureException: PreparedStatementCallback; SQL [UPDATE BATCH_STEP_EXECUTION ...]; serialization failure */
   @Bean
   public DataSource dataSource()
   {
      return new EmbeddedDatabaseBuilder()
             .setType( EmbeddedDatabaseType.HSQL )
             .addScript( "classpath:HSQLDB-MVCC.sql" )
             .build();
   }
}
